<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class HabitsRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'name' => ['required', 'string'],
            'type' => ['required', 'string'],
            'value' => ['numeric'],
            'suffix' => ['string'],
            'schedule_value' => ['numeric'],
            'schedule_unit' => [],
            'goal_type' => ['required'],
            'goal_value' => ['numeric'],
            'goal_unit' => [],
        ];
    }

    public function authorize(): bool
    {
        return true;
    }
}
